
Foreman - Bug #673

Curl can't be used to trigger runs

02/16/2011 12:59 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Puppet integration   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running

curl http://puppet.foo.com:3000/hosts/host.foo.com/puppetrun

Results in

ActionController::RedirectBackError (No HTTP_REFERER was set in the request to this action, so red

irect_to :back could not be called successfully. If this is a test, make sure to specify request.e

nv["HTTP_REFERER"].):

  app/controllers/hosts_controller.rb:211:in `puppetrun'

  /usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

  /usr/lib/ruby/1.8/mongrel.rb:158:in `each'

  /usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'

  /usr/lib/ruby/1.8/mongrel.rb:285:in `run'

  /usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

  /usr/lib/ruby/1.8/mongrel.rb:285

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

Processing HostsController#puppetrun (for 1.2.3.4 at 2011-02-16 12:55:35) [GET]

  Parameters: {"action"=>"puppetrun", "id"=>"host.foo.com", "controller"=>"hosts"}

ActionController::RedirectBackError (No HTTP_REFERER was set in the request to this action, so red

irect_to :back could not be called successfully. If this is a test, make sure to specify request.e

nv["HTTP_REFERER"].):

  app/controllers/hosts_controller.rb:211:in `puppetrun'

  /usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

  /usr/lib/ruby/1.8/mongrel.rb:158:in `each'

  /usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'

  /usr/lib/ruby/1.8/mongrel.rb:285:in `run'

  /usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

  /usr/lib/ruby/1.8/mongrel.rb:285

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

 The run completes successfully however.

Associated revisions

Revision e57d4aa5 - 05/04/2011 04:35 AM - Ohad Levy

fixes #673 - Curl can't be used to trigger runs

History

#1 - 02/16/2011 01:01 PM - Dis Connect

05/12/2024 1/2



Oh. And XSS:

curl -E http://cnn.com

<html><body>You are being <a href="http://cnn.com/">redirected</a>.</body></html>

#2 - 05/04/2011 04:34 AM - Ohad Levy

- Target version set to 0.3

#3 - 05/04/2011 04:49 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset e57d4aa5854cc8a6dd2fdc23b946cb113c075b3c.

#4 - 05/04/2011 04:49 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
